Retrieve a Custom Integration
curl --request GET \
--url https://api.siit.io/v1/custom_integrations/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/custom_integrations/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/custom_integrations/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siit.io/v1/custom_integrations/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siit.io/v1/custom_integrations/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.siit.io/v1/custom_integrations/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siit.io/v1/custom_integrations/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uid": "<string>",
"name": "<string>",
"api_doc_url": "<string>",
"auth_method": "api_key",
"auth_header_name": "<string>",
"auth_username": "<string>",
"custom_headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"logo_url": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"troubleshoot": "<string>"
}Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID of the Custom Integration
Response
Successful
The UID of the Custom Integration
The Custom Integration name, unique within the company
Link to the documentation of the API this integration calls
How the secret authenticates requests: bearer_token (Authorization: Bearer <secret>), api_key (<auth_header_name>: <secret>), basic_auth (Authorization: Basic base64(<auth_username>:<secret>)), or none
api_key, basic_auth, bearer_token, none Header carrying the secret. Required when auth_method is api_key.
Username combined with the secret. Required when auth_method is basic_auth.
HTTP headers sent with every request of the integration Custom Actions
Show child attributes
Show child attributes
URL of the integration logo
active, deactivated, errored, initial, pending_configuration, synchronizable, waiting_for_data datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
curl --request GET \
--url https://api.siit.io/v1/custom_integrations/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/custom_integrations/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/custom_integrations/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siit.io/v1/custom_integrations/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siit.io/v1/custom_integrations/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.siit.io/v1/custom_integrations/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siit.io/v1/custom_integrations/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uid": "<string>",
"name": "<string>",
"api_doc_url": "<string>",
"auth_method": "api_key",
"auth_header_name": "<string>",
"auth_username": "<string>",
"custom_headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"logo_url": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"troubleshoot": "<string>"
}
